Bug 1249323 - SELinux is preventing cupsd from 'connectto' accesses on the unix_stream_socket /run/dbus/system_bus_socket.
SELinux is preventing cupsd from 'connectto' accesses on the unix_stream_sock...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:bfced6eb66c9a89f684dab77fa3...
:
Depends On:
Blocks: 1254238
  Show dependency treegraph
 
Reported: 2015-08-01 11:08 EDT by Igor Gnatenko
Modified: 2016-07-07 06:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 06:00:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-08-01 11:08:47 EDT
Description of problem:
kdbus=1
SELinux is preventing cupsd from 'connectto' accesses on the unix_stream_socket /run/dbus/system_bus_socket.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that cupsd should be allowed connectto access on the system_bus_socket unix_stream_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep cupsd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:cupsd_t:s0-s0:c0.c1023
Target Context                system_u:system_r:init_t:s0
Target Objects                /run/dbus/system_bus_socket [ unix_stream_socket ]
Source                        cupsd
Source Path                   cupsd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-138.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.2.0-0.rc4.git4.1.fc24.x86_64 #1
                              SMP Fri Jul 31 16:32:22 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-08-01 17:06:35 MSK
Last Seen                     2015-08-01 17:06:35 MSK
Local ID                      47117f60-4297-4d38-9bc4-e2a5e41e2149

Raw Audit Messages
type=AVC msg=audit(1438437995.594:3169906): avc:  denied  { connectto } for  pid=673 comm="cupsd" path="/run/dbus/system_bus_socket" scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:init_t:s0 tclass=unix_stream_socket permissive=1


Hash: cupsd,cupsd_t,init_t,unix_stream_socket,connectto

Version-Release number of selected component:
selinux-policy-3.13.1-138.fc24.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.0-0.rc4.git4.1.fc24.x86_64
type:           libreport

Potential duplicate: bug 824221
Comment 1 Ömer Fadıl Usta 2015-10-26 23:07:58 EDT
Description of problem:
I'm not sure if it started to give this error before or after i enabled kdbus

Version-Release number of selected component:
selinux-policy-3.13.1-155.fc24.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.3.0-0.rc6.git2.1.fc24.x86_64
type:           libreport
Comment 2 Jan Kurik 2016-02-24 10:50:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Igor Gnatenko 2016-07-07 06:00:05 EDT
kdbus issue.

Note You need to log in before you can comment on or make changes to this bug.